# Paikkatietodatan Geo-päätepisteet

{% hint style="success" %}
GeoPard käyttää <https://www.ogc.org/> Open GeoSpatial Consortiumin tietomuotoja, kuten WMS:ää kuvien osalta ja WFS:ää vektoritiedolle. Lisäksi käytämme shapefile-tiedostoja tuontiin ja vientiin. Moottori on joustava tuomaan ja viemään tietoja missä tahansa näistä tietomuodoista. Satelliittikuvien osalta käytämme [COG:eja (pilvessä optimoidut GeoTIFFit)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
WMS/WFS-pyyntöjen suorittamiseen sinun on asennettava Postman.
{% endhint %}

{% hint style="info" %}
Jokainen pyyntö on allekirjoitettava HEADERilla "Authorization" (johon tunnus pitää sijoittaa) tai URL-parametrilla "geopardApiKey " (johon käyttäjän API-avain pitää sijoittaa).
{% endhint %}

WMS API -päätepisteet on tallennettu "geoMaps"-attribuuttien alle seuraavissa entiteeteissä: "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset", "YieldDataset". Tarkista [GeoPard DataScheme.](/geopard-tutorials/fin/api-dokumentaatio/geopard-api-dataskeema.md)

WFS API -päätepisteet on tallennettu "boundaryUrl"-, "zonesMapUrl"- ja "attributesUrl"-kenttiin seuraavissa entiteeteissä: "Field" ja "VectorAnalysisMap".

{% hint style="info" %}
Suosittelemme käyttämään EPSG:900913-projektiota EPSG:3857:n sijaan, jotta kuvat olisivat tarkempia.
{% endhint %}

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/paikkatietodatan-geo-paatepisteet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
